DefaultJspCompilerAdapter (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.jsp.compilers.DefaultJspCompilerAdapter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.jsp.compilers
Class DefaultJspCompilerAdapter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.jsp.compilers.DefaultJspCompilerAdapter

All Implemented Interfaces:
  JspCompilerAdapter

Direct Known Subclasses:
  JasperC

    public abstract class DefaultJspCompilerAdapter

extends java.lang.Object
implements JspCompilerAdapter

This is the default implementation for the JspCompilerAdapter interface. This is currently very light on the ground since only one compiler type is supported.

Field Summary
`protected JspC` | `owner` our owner

Constructor Summary
`DefaultJspCompilerAdapter()`

Method Summary
`protected void` | `addArg(CommandlineJava cmd, java.lang.String argument)` add an argument oneple to the argument list, if the value aint null
`protected void` | `addArg(CommandlineJava cmd, java.lang.String argument, java.io.File file)` add an argument tuple to the arg list, if the file parameter aint null
`protected void` | `addArg(CommandlineJava cmd, java.lang.String argument, java.lang.String value)` add an argument tuple to the argument list, if the value aint null
`JspC` | `getJspc()` get the owner
`Project` | `getProject()` get our project
`boolean` | `implementsOwnDependencyChecking()` ask if compiler can sort out its own dependencies
`protected void` | `logAndAddFilesToCompile(JspC jspc, java.util.Vector compileList, CommandlineJava cmd)` Logs the compilation parameters, adds the files to compile and logs the "niceSourceList"
`void` | `setJspc(JspC owner)` set the owner

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tools.ant.taskdefs.optional.jsp.compilers.JspCompilerAdapter
`createMangler, execute`

Field Detail

### owner

    protected JspC owner

  our owner

Constructor Detail

### DefaultJspCompilerAdapter

    public DefaultJspCompilerAdapter()

Method Detail

### logAndAddFilesToCompile

    protected void logAndAddFilesToCompile(JspC jspc,
                                           java.util.Vector compileList,
                                           CommandlineJava cmd)

  Logs the compilation parameters, adds the files to compile and logs the "niceSourceList"

  Parameters:
    `jspc` - the compiler task for logging
    `compileList` - the list of files to compile
    `cmd` - the command line used

### setJspc

    public void setJspc(JspC owner)

  set the owner

  Specified by:
    `setJspc` in interface `JspCompilerAdapter`
  Parameters:
    `owner` - the owner JspC compiler

### getJspc

    public JspC getJspc()

  get the owner

  Returns:
    the owner; should never be null

### addArg

    protected void addArg(CommandlineJava cmd,
                          java.lang.String argument)

  add an argument oneple to the argument list, if the value aint null

  Parameters:
    `cmd` - the command line
    `argument` - The argument

### addArg

    protected void addArg(CommandlineJava cmd,
                          java.lang.String argument,
                          java.lang.String value)

  add an argument tuple to the argument list, if the value aint null

  Parameters:
    `cmd` - the command line
    `argument` - The argument
    `value` - the parameter

### addArg

    protected void addArg(CommandlineJava cmd,
                          java.lang.String argument,
                          java.io.File file)

  add an argument tuple to the arg list, if the file parameter aint null

  Parameters:
    `cmd` - the command line
    `argument` - The argument
    `file` - the parameter

### implementsOwnDependencyChecking

    public boolean implementsOwnDependencyChecking()

  ask if compiler can sort out its own dependencies

  Specified by:
    `implementsOwnDependencyChecking` in interface `JspCompilerAdapter`
  Returns:
    true if the compiler wants to do its own depends

### getProject

    public Project getProject()

  get our project

  Returns:
    owner project data

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD